org.jboss.resteasy.skeleton.key.idm.service

## Class RealmFactory

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.idm.service.RealmFactory

-     @Path(value="/realms")
      public class RealmFactory
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IdentityManager` | `identityManager`
    `protected UriInfo` | `uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmFactory(IdentityManager identityManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Realm` | `createRealm(RealmRepresentation rep)`
    `protected RoleMapping` | `createRoleMapping(Map<String,User> userMap, RoleMappingRepresentation mapping)`
    `protected ScopeMapping` | `createScopeMapping(Map<String,User> userMap, ScopeMappingRepresentation mapping)`
    `Response` | `importDomain(RealmRepresentation rep)`
    `protected void` | `verifyRealmRepresentation(RealmRepresentation rep)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### identityManager

          protected IdentityManager identityManager

    - #### uriInfo

          @Context
          protected UriInfo uriInfo

  - ### Constructor Detail

    - #### RealmFactory

          public RealmFactory(IdentityManager identityManager)

  - ### Method Detail

    - #### importDomain

          @POST
          @Consumes(value="application/json")
          public Response importDomain(RealmRepresentation rep)

    - #### createRealm

          protected Realm createRealm(RealmRepresentation rep)

    - #### createRoleMapping

          protected RoleMapping createRoleMapping(Map<String,User> userMap,
                                      RoleMappingRepresentation mapping)

    - #### createScopeMapping

          protected ScopeMapping createScopeMapping(Map<String,User> userMap,
                                        ScopeMappingRepresentation mapping)

    - #### verifyRealmRepresentation

          protected void verifyRealmRepresentation(RealmRepresentation rep)

Copyright © 2014. All Rights Reserved.